Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.saml
Class SAMLNameMapperInfo

    java.lang.Object
      weblogic.security.providers.saml.SAMLNameMapperInfo

    public class SAMLNameMapperInfo

extends Object

The `SAMLNameMapperInfo` is used to represent user name and group information for SAML assertions.

Field Summary
`static String` | `BEA_GROUP_ATTR_NAME` BEA SAML AttributeName value indicating a groups attribute
`static String` | `BEA_GROUP_ATTR_NAMESPACE` BEA SAML AttributeNamespace value indicating a groups attribute
`static String` | `NAME_FORMAT_EMAIL_ADDR` SAML 1.1 URN for "Email Address" name format.
`static String` | `NAME_FORMAT_UNSPECIFIED` SAML 1.1 URN for "Unspecified" name format.
`static String` | `NAME_FORMAT_WINDOWS_DQN` SAML 1.1 URN for "Windows Domain Qualified Name" name format.
`static String` | `NAME_FORMAT_X500_SUBJECT` SAML 1.1 URN for "X.509 Subject Name" name format.

Constructor Summary
`SAMLNameMapperInfo()` Default no-args constructor
`SAMLNameMapperInfo(String name, Collection groups)` Construct `SAMLNameMapperInfo` with the specified user name and groups.
`SAMLNameMapperInfo(String nameQualifier, String name, Collection groups)` Construct `SAMLNameMapperInfo` with the specified name qualifier, user name, and groups.
`SAMLNameMapperInfo(String nameQualifier, String nameFormat, String name, Collection groups)` Construct `SAMLNameMapperInfo` with the specified name qualifier, name format, user name, and groups.
`SAMLNameMapperInfo(String nameQualifier, String nameFormat, String name, String groupAttrName, String groupAttrNamespace, Collection groups)` Construct `SAMLNameMapperInfo` with the specified name qualifier, name format, user name, group attribute name, group attribute namespace, and groups.

Method Summary
`String` | `getGroupAttrName()`
`String` | `getGroupAttrNamespace()`
`Collection` | `getGroups()`
`String` | `getName()`
`String` | `getNameFormat()`
`String` | `getNameQualifier()`
`void` | `setGroupAttrName(String groupAttrName)`
`void` | `setGroupAttrNamespace(String groupAttrNamespace)`
`void` | `setGroups(Collection groups)`
`void` | `setName(String name)`
`void` | `setNameFormat(String nameFormat)`
`void` | `setNameQualifier(String nameQualifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_FORMAT_UNSPECIFIED

    public static final String NAME_FORMAT_UNSPECIFIED

  SAML 1.1 URN for "Unspecified" name format.

  See Also:
    Constant Field Values

### NAME_FORMAT_EMAIL_ADDR

    public static final String NAME_FORMAT_EMAIL_ADDR

  SAML 1.1 URN for "Email Address" name format.

  See Also:
    Constant Field Values

### NAME_FORMAT_X500_SUBJECT

    public static final String NAME_FORMAT_X500_SUBJECT

  SAML 1.1 URN for "X.509 Subject Name" name format.

  See Also:
    Constant Field Values

### NAME_FORMAT_WINDOWS_DQN

    public static final String NAME_FORMAT_WINDOWS_DQN

  SAML 1.1 URN for "Windows Domain Qualified Name" name format.

  See Also:
    Constant Field Values

### BEA_GROUP_ATTR_NAMESPACE

    public static final String BEA_GROUP_ATTR_NAMESPACE

  BEA SAML AttributeNamespace value indicating a groups attribute

  See Also:
    Constant Field Values

### BEA_GROUP_ATTR_NAME

    public static final String BEA_GROUP_ATTR_NAME

  BEA SAML AttributeName value indicating a groups attribute

  See Also:
    Constant Field Values

Constructor Detail

### SAMLNameMapperInfo

    public SAMLNameMapperInfo()

  Default no-args constructor

### SAMLNameMapperInfo

    public SAMLNameMapperInfo(String name,
                              Collection groups)

  Construct `SAMLNameMapperInfo` with the specified user name and groups.

  Parameters:
    `name` - The username.
    `groups` - A `Collection` of group names.

### SAMLNameMapperInfo

    public SAMLNameMapperInfo(String nameQualifier,
                              String name,
                              Collection groups)

  Construct `SAMLNameMapperInfo` with the specified name qualifier, user name, and groups.

  Parameters:
    `nameQualifier` - The NameQualifier to use.
    `name` - The username.
    `groups` - A `Collection` of group names.

### SAMLNameMapperInfo

    public SAMLNameMapperInfo(String nameQualifier,
                              String nameFormat,
                              String name,
                              Collection groups)

  Construct `SAMLNameMapperInfo` with the specified name qualifier, name format, user name, and groups.

  Parameters:
    `nameQualifier` - The NameQualifier to use.
    `nameFormat` - The NameFormat to use.
    `name` - The username.
    `groups` - A `Collection` of group names.

### SAMLNameMapperInfo

    public SAMLNameMapperInfo(String nameQualifier,
                              String nameFormat,
                              String name,
                              String groupAttrName,
                              String groupAttrNamespace,
                              Collection groups)

  Construct `SAMLNameMapperInfo` with the specified name qualifier, name format, user name, group attribute name, group attribute namespace, and groups.

  Parameters:
    `nameQualifier` - The NameQualifier to use.
    `nameFormat` - The NameFormat to use.
    `name` - The username.
    `groupAttrName` - The group AttributeName to use.
    `groupAttrNamespace` - The group AttributeNamespace to use.
    `groups` - A `Collection` of group names.

Method Detail

### getGroupAttrName

    public String getGroupAttrName()

  Returns:
    Returns the groupAttrName. Default value is `BEA_GROUP_ATTR_NAME`.

### setGroupAttrName

    public void setGroupAttrName(String groupAttrName)

  Parameters:
    `groupAttrName` - The groupAttrName to set.

### getGroupAttrNamespace

    public String getGroupAttrNamespace()

  Returns:
    Returns the groupAttrNamespace. Default value is `BEA_GROUP_ATTR_NAMESPACE`.

### setGroupAttrNamespace

    public void setGroupAttrNamespace(String groupAttrNamespace)

  Parameters:
    `groupAttrNamespace` - The groupAttrNamespace to set.

### getGroups

    public Collection getGroups()

  Returns:
    Returns the groups.

### setGroups

    public void setGroups(Collection groups)

  Parameters:
    `groups` - The groups to set.

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getNameFormat

    public String getNameFormat()

  Returns:
    Returns the nameFormat. Default value is `NAME_FORMAT_UNSPECIFIED`.

### setNameFormat

    public void setNameFormat(String nameFormat)

  Parameters:
    `nameFormat` - The nameFormat to set.

### getNameQualifier

    public String getNameQualifier()

  Returns:
    Returns the nameQualifier.

### setNameQualifier

    public void setNameQualifier(String nameQualifier)

  Parameters:
    `nameQualifier` - The nameQualifier to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD